import request from "@/utils/request";
import {AxiosPromise} from "axios";
import {ChartBtmData, ChartMidData, TopCard} from "./types";
import {StudentList} from "@/api/student/types";

/**
 * 获取首页数据卡片
 */
export function getEvaluationTop(id: number): AxiosPromise<TopCard> {
  return request({
    url: "/board/v1/eval-top",
    method: "get",
    params: {school_id: id},
  });
}
/**
 * 测评学生列表
 * ///board/v1/eval-student?school_id=95&search=18770023942
 */
export function getEvaluationStudents(school_id: number, search: string): AxiosPromise<StudentList[]> {
  return request({
    url: "/board/v1/eval-student",
    method: "get",
    params: {school_id: school_id, search: search},
  });
}
/**
 * 获取首页图表数据
 */
export function getEvaluationMid(school_id: number, baby_id: number): AxiosPromise<ChartMidData> {
  return request({
    url: "/board/v1/eval-middle",
    method: "get",
    params: {school_id: school_id, baby_id: baby_id},
  });
}
/**
 * 获取首页图表数据
 */
export function getEvaluationBtm(school_id: number, baby_id: number): AxiosPromise<ChartBtmData> {
  return request({
    url: "/board/v1/eval-bottom",
    method: "get",
    params: {school_id: school_id, baby_id: baby_id},
  });
}
