/**
 * @param {string} path
 * @returns {Boolean}
 */
export function isExternal(path: string) {
  return /^(https?:|http?:|mailto:|tel:)/.test(path);
}

/**
 * 获取URL参数值
 * @param name URL参数名称
 */
export function getUrlParam(name: string): string {
  let value = "";
  const paramsStr = window.location.href.split("?")[1];
  if (paramsStr) {
    const paramArr = paramsStr.split("&");
    paramArr.some((item) => {
      if (item.includes(name)) {
        value = item.split("=")[1] || "";
        return;
      }
    });
  }
  return value;
}

/**
 * 过滤特殊字符
 */
export function trimInput(value: string): string {
  value = value
    .replace(/[`~!@#$%^&*()_\-+=<>?:"{}|,./;'\\[\]·~！@#￥%……&*（）——\-+={}|《》？：“”【】、；‘’，。、]/g, "")
    .replace(/\s/g, "");
  return value;
}
